Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I want to install pump.io on my debian wheezy VPS by following these steps : https://github.com/e14n/pump.io/wiki/Debian-Installation

NodeJS installation is ok, but when I ask to npm for installing dependencies, it fails with this stack trace :

dtrace-provider@0.2.4 install /root/pump.io/node_modules/bunyan/node_modules/dtrace-provider  
node-gyp rebuild  
make: Entering directory « /root/pump.io/node_modules/bunyan/node_modules/dtrace-provider/build »  
SOLINK_MODULE(target) Release/obj.target/DTraceProviderBindings.node  
flock: ./Release/linker.lock: Bad file descriptor
make: *** [Release/obj.target/DTraceProviderBindings.node] Error 65  
make: Leaving directory « /root/pump.io/node_modules/bunyan/node_modules/dtrace-provider/build »  
gyp ERR! build error   
gyp ERR! stack Error: `make` failed with exit code: 2  
gyp ERR! stack     at ChildProcess.onExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:267:23)  
gyp ERR! stack     at ChildProcess.EventEmitter.emit (events.js:98:17)  
gyp ERR! stack     at Process.ChildProcess._handle.onexit (child_process.js:797:12)  
gyp ERR! System Linux 2.6.32-27-pve  
gyp ERR! command "node" "/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"  
gyp ERR! cwd /root/pump.io/node_modules/bunyan/node_modules/dtrace-provider  
gyp ERR! node -v v0.10.26  
gyp ERR! node-gyp -v v0.12.2  
gyp ERR! not ok   
npm ERR! dtrace-provider@0.2.4 install: `node-gyp rebuild`  
npm ERR! Exit status 1  
npm ERR!   
npm ERR! Failed at the dtrace-provider@0.2.4 install script.  
npm ERR! This is most likely a problem with the dtrace-provider package,  
npm ERR! not with npm itself.  
npm ERR! Tell the author that this fails on your system:  
npm ERR!     node-gyp rebuild  
npm ERR! You can get their info via:  
npm ERR!     npm owner ls dtrace-provider  
npm ERR! There is likely additional logging output above. 
npm ERR! System Linux 2.6.32-27-pve  
npm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install"  
npm ERR! cwd /root/pump.io  
npm ERR! node -v v0.10.26  
npm ERR! npm -v 1.4.3  
npm ERR! code ELIFECYCLE  
npm ERR!   
npm ERR! Additional logging details can be found in:  
npm ERR!     /root/pump.io/npm-debug.log  
npm ERR! not ok code 0  

I just don't understand this error.
Which module fails during install ?

Thanks.

share|improve this question
    
What filesystem are you using? –  Michael Hampton Mar 20 at 12:58
    
Seems to be simfs. –  abon999 Mar 20 at 13:43
1  
You should contact your hosting provider; this is their fault and they will need to fix it. –  Michael Hampton Mar 20 at 13:48
    
Ok, thanks a lot. How did you read error ? –  abon999 Mar 20 at 14:06
    
A VPS can really allocate ext3/4 File System ? I'm currently asking to my HP –  abon999 Mar 20 at 14:14

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.